For the complete documentation index, see llms.txt. This page is also available as Markdown.

Security

Perform various operations for Symitar parameters.

Symitar eDocs References: Coming soon.

Operations

getSecurity

post

Retrieve Security parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
SecuritySecurityCategoryintegerOptional
SecurityRecordSelectionintegerOptional
Responses
200

Successful operation.

application/json
post/getSecurity
POST /nexum/627/2022.01/parameter/getSecurity HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 192

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SecuritySecurityCategory": 1,
  "SecurityRecordSelection": 1,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Security": {
    "RecordChangeDate": "2010-05-08"
  },
  "MessageId": "getSecurity"
}

getSecuritySelectFields

post

Retrieve Security parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
SecuritySecurityCategoryintegerOptional
SecurityRecordSelectionintegerOptional
Responses
200

Successful operation.

application/json
post/getSecuritySelectFields
POST /nexum/627/2022.01/parameter/getSecuritySelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 191

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "SelectableFields": {
    "IncludeAllSecurityFields": true
  }
}
200

Successful operation.

{
  "Security": {
    "RecordChangeDate": "2010-05-08"
  },
  "MessageId": "getSecuritySelectFields"
}

getSecurityPagedList

post

Retrieve Security parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getSecurityPagedList
POST /nexum/627/2022.01/parameter/getSecurityPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 238

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0,
    "Token": "example-token"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Security": [],
  "Token": null,
  "MessageId": "getSecurityPagedList"
}

getSecurityListSelectFields

post

Retrieve Security parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/getSecurityListSelectFields
POST /nexum/627/2022.01/parameter/getSecurityListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 191

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "SelectableFields": {
    "IncludeAllSecurityFields": true
  }
}
200

Successful operation.

{
  "SecurityList": [],
  "MessageId": "getSecurityListSelectFields"
}

searchSecuritySelectFields

post

Search Security parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/searchSecuritySelectFields
POST /nexum/627/2022.01/parameter/searchSecuritySelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 229

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SelectableFields": {
    "IncludeAllSecurityFields": true
  },
  "SearchFilter": {
    "Query": "example-query"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "SecurityList": [],
  "MessageId": "searchSecuritySelectFields"
}

getSecurityPagedListSelectFields

post

Retrieve Security parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getSecurityPagedListSelectFields
POST /nexum/627/2022.01/parameter/getSecurityPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 270

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllSecurityFields": true
  }
}
200

Successful operation.

{
  "Security": [],
  "Token": null,
  "MessageId": "getSecurityPagedListSelectFields"
}

searchSecurityPagedSelectFields

post

Search Security parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
QuerystringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchSecurityPagedSelectFields
POST /nexum/627/2022.01/parameter/searchSecurityPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 281

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "Query": "",
  "SelectableFields": {
    "IncludeAllSecurityFields": true
  }
}
200

Successful operation.

{
  "Security": [],
  "Token": null,
  "MessageId": "searchSecurityPagedSelectFields"
}

updateSecurityByID

post

Update Security parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
SecuritySecurityCategoryintegerOptional
SecurityRecordSelectionintegerOptional
Responses
200

Successful operation.

application/json
post/updateSecurityByID
POST /nexum/627/2022.01/parameter/updateSecurityByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 259

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SecuritySecurityCategory": 1,
  "SecurityRecordSelection": 1,
  "SecurityUpdatableFields": {
    "Type": 0,
    "Description": "NEXUM EXAMPLE"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updateSecurityByID"
}

Last updated

Was this helpful?